<?php

add_filter('ef3-theme-options-opt-name', 'laboom_set_demo_opt_name');
function laboom_set_demo_opt_name(){
   return 'opt_theme_options';
}

add_filter('ef3-replace-theme-options', 'laboom_replace_theme_options');
function laboom_replace_theme_options(){
   return array(
      'dev_mode' => 0,
   );
}

add_filter('ef3-enable-create-demo', 'laboom_enable_create_demo');
function laboom_enable_create_demo(){
   return false;
}

add_action('ef3-import-start', 'laboom_import_flex_restaurant_data_before',1,2);
function laboom_import_flex_restaurant_data_before($id,$folder_dir){
   $fr_taxo = $folder_dir . 'fr_taxonomies.json';
   $frv_set = $folder_dir . 'frv_setting_page.json';
   $fr_set = $folder_dir . 'fr_setting_page.json';

   if ( file_exists( $fr_taxo ) && class_exists('EF4Framework') ) {
      $file_contents = json_decode( file_ef4_get_contents( $fr_taxo ), true );
      update_option('fr_taxonomies', $file_contents);
   }
   if ( file_exists( $frv_set ) && class_exists('EF4Framework') ) {
      $file_contents = json_decode( file_ef4_get_contents( $frv_set ), true );
      update_option('frv-setting-page', $file_contents);
   }
   if ( file_exists( $fr_set ) && class_exists('EF4Framework') ) {
      $file_contents = json_decode( file_ef4_get_contents( $fr_set ), true );
      update_option('fr-setting-page', $file_contents);
   }
}

add_action('ef3-import-finish', 'laboom_import_flex_restaurant_data_after' ,1,2);
function laboom_import_flex_restaurant_data_after($id,$folder_dir){
   $file = $folder_dir . 'fr_term_meta.json';
   if (file_exists($file) && class_exists('EF4Framework')){
      $tax_termmeta = json_decode(file_ef4_get_contents($file),true);
      foreach($tax_termmeta as $tax => $termmeta){
         foreach($termmeta as $term => $meta){
            $term_ = get_term_by('slug',$term,$tax);
            update_term_meta($term_->term_id,'layout',$meta['layout']);
            update_term_meta($term_->term_id,'background',$meta['background']);
         }
      }
   }
}

add_action('ef3-export','laboom_export_flex_restaurant_data',1,2);
function laboom_export_flex_restaurant_data($id,$folder_dir){
   global $wp_filesystem;
   $file_use_map = array(
      'fr_taxonomies'=>'fr_taxonomies.json',
      'frv-setting-page'=>'frv_setting_page.json',
      'fr-setting-page'=>'fr_setting_page.json',
   );
   foreach ($file_use_map as $option => $file){
      $file_path = $folder_dir.$file;
      if(file_exists($file_path))
         continue;
      $file_contents = json_encode(get_option($option,array()));
      $wp_filesystem->put_contents( $file_path, $file_contents, FS_CHMOD_FILE);
   }
   $tax_termmeta_file = $folder_dir . 'fr_term_meta.json';
   if (!file_exists($tax_termmeta_file)){
      $tax_termmeta = array();
      $taxonomies = get_taxonomies(array('object_type' => array('flexrestaurants')));
      foreach ($taxonomies as $tax_slug) {
         $tax_termmeta[$tax_slug] = array();
         $terms = get_terms(array(
            'taxonomy' => 'post_tag',
            'hide_empty' => false,
         ) );
         if(!empty($terms))
            foreach ($terms as $term){
               if(!$term instanceof WP_Term)
                  continue;
            $tax_termmeta[$tax_slug][$term->slug] = get_term_meta($term->term_id);
         }
      }
      $file_contents = json_encode($tax_termmeta);
      $wp_filesystem->put_contents( $tax_termmeta_file, $file_contents, FS_CHMOD_FILE);
   }
}

add_action('ef3-import-start', 'laboom_move_trash', 1);
if(!function_exists('laboom_move_trash')){
    function laboom_move_trash(){
        wp_trash_post(1);
        wp_trash_post(2);
        wp_trash_post(3);
        wp_trash_post(4);
        wp_trash_post(5);
        wp_trash_post(6);
        wp_trash_post(7);
        wp_trash_post(8);
        wp_trash_post(9);
        wp_trash_post(10);
        wp_trash_post(11);
        wp_trash_post(12);
        wp_trash_post(13);
    }
}

add_action('ef3-import-start','laboom_removed_widgets', 10, 2);
function laboom_removed_widgets(){
    global $wp_registered_sidebars;

    $widgets = get_option('sidebars_widgets');

    foreach ($wp_registered_sidebars as $sidebar => $value) {
        unset($widgets[$sidebar]);
    }

    update_option('sidebars_widgets',$widgets);  
    update_option('permalink_structure', '');
}

add_action('ef3-export-finish', 'laboom_export_extra_option');
function laboom_export_extra_option($folder_dir){
    global $wp_filesystem;
    $file = $folder_dir . 'extra-options.json';
    $options = [
        'date_format',
        'time_format',
        'default_category',
        'posts_per_page',
        'show_on_front',
        'page_on_front',
        'page_for_posts',
        'wp_user_roles'
    ];
    
    $file_contents = array();
    foreach ( $options as $option_name ) {
        $file_contents[ $option_name ] = get_option( $option_name );
    }
    if ( $file_contents !== false ) {
        $file_contents = json_encode( $file_contents );
        $wp_filesystem->put_contents( $file, $file_contents, FS_CHMOD_FILE );
    }
}


add_action('ef3-import-finish', 'laboom_import_extra_option',1,2);
function laboom_import_extra_option($id,$folder_dir){
    $file = $folder_dir . 'extra-options.json';
    if ( file_exists( $file ) && class_exists('EF4Framework') ) {
        $file_contents = json_decode( file_ef4_get_contents( $file ), true );
        foreach ( $file_contents as $option_name => $option_values ) {
            update_option( $option_name, $option_values );
        }
    }
}

add_action('ef3-import-finish', 'laboom_set_options_page',1,2);
function laboom_set_options_page($id,$folder_dir){
    $opt_pages = array(
        'woocommerce_shop_page_id'      => 'Shop',
        'woocommerce_cart_page_id'      => 'Cart',
        'woocommerce_myaccount_page_id' => 'My Account',
    );
 
    foreach ($opt_pages as $key => $opt_page){
        $page = get_page_by_title($opt_page);
        if(!isset($page->ID))
            return;
        update_option($key, $page->ID);
    }
}


add_action('ef3-import-finish', 'laboom_crop_images',99);
function laboom_crop_images() {
    $query = array(
        'post_type'      => 'attachment',
        'posts_per_page' => -1,
        'post_status'    => 'inherit',
    );
    $media = new WP_Query($query);
    if ($media->have_posts()) {
        foreach ($media->posts as $image) {
            if (strpos($image->post_mime_type, 'image/') !== false) {
                $image_path = get_attached_file($image->ID);
                $metadata = wp_generate_attachment_metadata($image->ID, $image_path);
                wp_update_attachment_metadata($image->ID, $metadata);
            }
        }
    }
}