<?php
vc_map(array(
    "name" => 'CMS Heading',
    "base" => "cms_heading",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('CmsSuperheroes Shortcodes', 'laboom'),
    "params" => array(

        array(
            "type" => "textfield",
            "heading" => __ ( 'Title', 'laboom' ),
            "param_name" => "hd_title",
            "value" => '',
            "group" => esc_html__("Heading Settings", 'laboom'),
        ),
        array(
            "type" => "textfield",
            "heading" => __ ( 'Subtitle', 'laboom' ),
            "param_name" => "hd_subtitle",
            "value" => '',
            "group" => esc_html__("Heading Settings", 'laboom'),
        ),
        array(
            "type" => "textarea",
            "heading" => __ ( 'Description', 'laboom' ),
            "param_name" => "hd_description",
            "value" => '',
            "group" => esc_html__("Heading Settings", 'laboom'),
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Letter spacing title', 'laboom' ),
            "value" => array(
                '0' => '0em',
                '-0.042em' => '-0.042em',
                '-0.01em' => '-0.01em',
                '0.01em' => '0.01em',
                '0.02em' => '0.02em',
                '0.02em' => '0.025em',
                '0.03em' => '0.03em',
                '0.035em' => '0.035em',
                '0.04em' => '0.04em',
                '0.05em' => '0.05em',
                '0.06em' => '0.06em',
                '0.07em' => '0.07em',
                '0.075em' => '0.075em',
                '0.08em' => '0.08em',
                '0.09em' => '0.09em',
                '0.1em' => '0.1em',
                '0.2em' => '0.2em',
                '0.3em' => '0.3em',
                '0.4em' => '0.4em',
                '0.5em' => '0.5em',
                '0.6em' => '0.6em',
                '0.7em' => '0.7em',
                '0.8em' => '0.8em',
                '0.9em' => '0.9em',
            ),
            'param_name' => 'heading_letter_spacing',
            'description' => '',
            "group" => esc_html__("Title Settings", 'laboom'),

        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Subtitle Color', 'laboom' ),
            'param_name' => 'heading_subtitle_color',
            'description' => '',
            "group" => esc_html__("Subtitle Settings", 'laboom'),

        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Line Color', 'laboom' ),
            'param_name' => 'heading_line_color',
            'description' => '',
            "group" => esc_html__("Title Settings", 'laboom'),

        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Title Color', 'laboom' ),
            'param_name' => 'heading_color',
            'description' => '',
            "group" => esc_html__("Title Settings", 'laboom'),

        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title Font Size', 'laboom' ),
            'param_name' => 'heading_size',
            'description' => '',
            "group" => esc_html__("Title Settings", 'laboom'),

        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Subtitle Font Size', 'laboom' ),
            'param_name' => 'subtitle_size',
            'description' => '',
            "group" => esc_html__("Subtitle Settings", 'laboom'),

        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Title lineheight', 'laboom' ),
            'param_name' => 'heading_lineheight',
            'description' => '',
            "group" => esc_html__("Title Settings", 'laboom'),

        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Description Color', 'laboom' ),
            'param_name' => 'desc_color',
            'description' => '',
            "group" => esc_html__("Description Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading.php",
                    "cms_heading--layout2.php",
                    "cms_heading--layout5.php",
                )
            ),

        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Description Font Size', 'laboom' ),
            'param_name' => 'desc_size',
            'description' => '',
            "group" => esc_html__("Description Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading--layout2.php",
                )
            ),

        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Description lineheight', 'laboom' ),
            'param_name' => 'desc_lineheight',
            'description' => '',
            "group" => esc_html__("Description Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading--layout2.php",
                )
            ),

        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Number",'laboom'),
            "param_name" => "number",
            "value" => "",
            "group" => esc_html__("Heading Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading--layout5.php",
                )
            ),
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Number Color', 'laboom' ),
            'param_name' => 'number_color',
            'description' => '',
            "group" => esc_html__("Heading Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading--layout5.php",
                )
            ),

        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Style", 'laboom'),
            "param_name" => "layout_style",
            "value" => array(
                'Style 1' => 'style1',
                'Style 2' => 'style2',
                'Style 3' => 'style3',
            ),
            "description" => "",
            "group" => esc_html__("Heading Settings", 'laboom'),
            "dependency" => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_heading.php",
                )
            ),
        ),
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_heading",
            "heading" => esc_html__("Shortcode Template",'laboom'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'laboom'),
        ),

    )
));

class WPBakeryShortCode_cms_heading extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>