<?php
/**
 * Meta box config file
 */
if (! class_exists('EF3Taxonomy_meta')) {
    return;
}

$args = array(
    // TYPICAL -> Change these values as you need/desire
    'opt_name' => apply_filters('opt_meta', 'opt_taxonomy_options'),
    // Set a different name for your global variable other than the opt_name
    'dev_mode' => false,
    // Allow you to start the panel in an expanded way initially.
    'open_expanded' => false,
    // Disable the save warning when a user changes a field
    'disable_save_warn' => true,
    // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
    'save_defaults' => false,

    'output' => false,
    // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
    'output_tag' => false,
    // Show the time the page took to load, etc
    'update_notice' => false,
    // 'disable_google_fonts_link' => true, // Disable this in case you want to create your own google fonts loader
    'admin_bar' => false,
    // Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
    'allow_sub_menu' => false,
    // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
    'customizer' => false,
    // What to print by the field's title if the value shown is default. Suggested: *
    'show_import_export' => false,
    // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
    'use_cdn' => false,
    // hide left panel.
    'open_expanded' => true,
);

// -> Set Option To Panel.
EF3Taxonomy_meta::setArgs($args);

/** page options */
EF3Taxonomy_meta::setMetabox(array(
    'taxonomy' => 'course_category',
    'sections' => array(
        array(
            'title' => __('Thumbnail', 'laboom'),
            'id' => 'tab-thumnail',
            'icon' => 'el el-download-alt',
            'fields' => array(
                array(
                    'subtitle' => esc_html__('Select Images For Thumbnail Category.', 'laboom'),
                    'id' => 'thumbnail-category',
                    'type' => 'media',
                    'title' => esc_html__('Image Thumbnail', 'laboom'),
                    'url'      => true,
                ),
                array(
                    'subtitle' => esc_html__('Set background overlay color', 'laboom'),
                    'id' => 'couser-cat-bg',
                    'type' => 'color_rgba',
                    'title' => esc_html__('Background Overlay', 'laboom')
                ),
                array(
                    'subtitle' => esc_html__('Set link color for "view course"', 'laboom'),
                    'id' => 'couser-link-color',
                    'type' => 'color',
                    'title' => esc_html__('Link color', 'laboom')
                ),
            )
        )

    )
));

EF3Taxonomy_meta::init();