<?php
/**
 * Include the TGM_Plugin_Activation class.
 */

add_action( 'tgmpa_register', 'cms_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
*/
function cms_theme_register_required_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        array(
            'name'               => esc_html__('Ef4-Framework','laboom'),
            'slug'               => 'ef4-framework',
            'source'             => 'ef4-framework-v2.1.0.zip',
            'required'           => true,
        ),
        array(
            'name'               => esc_html__('Custom Post Type UI','laboom'),
            'slug'               => 'custom-post-type-ui',
            'required'           => true,
        ),
        array(
            'name'               => esc_html__('Classic Editor','laboom'),
            'slug'               => 'classic-editor',
            'required'           => true,
        ),
        array(
            'name'               => 'Newsletter',
            'slug'               => 'newsletter',
            'required'           => false,
        ),
        array(
            'name'               => esc_html__('Ef3 Import and Export','laboom'),
            'slug'               => 'ef3-import-and-export',
            'source'             => 'ef3-import-and-export.zip',
            'required'           => false,
        ),
        // array(
        //     'name'               => esc_html__('Ef4 Import and Export','laboom'),
        //     'slug'               => 'ef4-import-and-export',
        //     'source'             => 'ef4-import-and-export.zip',
        //     'required'           => false,
        // ),
        array(
            'name'               => esc_html__('Visual Composer','laboom'),
            'slug'               => 'js_composer',
            'source'             => 'js_composer.zip',
            'required'           => true,
        ),
        array(
            'name'               => esc_html__('Contact Form 7','laboom'),
            'slug'               => 'contact-form-7',
            'required'           => false,
        ),
        array(
            'name'               => esc_html__('Force Regenerate Thumbnails', 'laboom'),
            'slug'               => 'force-regenerate-thumbnails',
            'required'           => false,
        ),
        array(
            'name'               => esc_html__('WooCommerce', 'laboom'),
            'slug'               => 'woocommerce',
            'required'           => true,
        ),
        array(
            'name'               => esc_html__('Revolution Slider', 'laboom'),
            'slug'               => 'revslider',
            'source'             => 'revslider.zip',
            'required'           => true,
        ),
        // array(
        //     'name'               => esc_html__('User press','laboom'),
        //     'slug'               => 'user_press',
        //     'source'             => 'user-press.zip',
        //     'required'           => true,
        // ),
        array(
            'name'               => esc_html__('Instagram Feed', 'laboom'),
            'slug'               => 'instagram-feed',
            'required'           => false,
        ),
        array(
            'name'               => esc_html__('Flex Restaurant', 'laboom'),
            'slug'               => 'flex-restaurants',
            'source'             => 'flex-restaurants.zip',
            'required'           => true,
        ),
        array(
            'name'               => esc_html__('Flex Reservation', 'laboom'),
            'slug'               => 'flex-reservations',
            'source'             => 'laboom/flex-reservations.zip',
            'required'           => true,
        ),

    );

    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
    */
    $config = array(
        'default_path' => 'http://exptheme.com/plugins/',                     // Default absolute path to pre-packaged plugins.
    );

    tgmpa( $plugins, $config );

}