<?php
global $product,$woocommerce,$opt_meta_options;
/* get categories */
$taxo = 'product_cat';
$_category = array();
if(!isset($atts['cat']) || $atts['cat']==''){
    $terms = get_terms($taxo);
    foreach ($terms as $cat){
        $_category[] = $cat->term_id;
    }
} else {
    $_category  = explode(',', $atts['cat']);
}
$atts['categories'] = $_category;
/*ajax media*/
wp_enqueue_style('wp-mediaelement');
wp_enqueue_script('wp-mediaelement');
/* js, css for load more */
wp_register_script('cms-loadmore-js', get_template_directory_uri() . '/assets/js/cms_loadmore_gallery.js', array('jquery'), '1.0', true);
// What page are we on? And what is the pages limit?
global $wp_query;
$max = $wp_query->max_num_pages;
$limit = $atts['limit'];
$paged = (get_query_var('paged') > 1) ? get_query_var('paged') : 1;

// Add some parameters for the JS.
$current_id = str_replace('-', '_', $atts['html_id']);
wp_localize_script(
    'cms-loadmore-js',
    'cms_more_obj' . $current_id,
    array(
        'startPage' => $paged,
        'maxPages' => $max,
        'total' => $wp_query->found_posts,
        'perpage' => $limit,
        'nextLink' => next_posts($max, false),
        'masonry' => $atts['layout']
    )
);
wp_enqueue_script('cms-loadmore-js');
?>
<div class="cms-grid-wraper <?php if( isset($atts['padding_item']) && $atts['padding_item']=='yes') { echo 'has-padding-item';}?> <?php echo esc_attr($atts['template']);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <?php if($atts['filter']=="true" and $atts['layout']=='masonry'):?>
        <div class="cms-grid-filter">
            <ul class="cms-filter-category list-unstyled list-inline">
                <li><a class="active" href="#" data-group="all">ALL</a></li>
                <?php foreach($atts['categories'] as $category):?>
                    <?php $term = get_term( $category, $taxo );?>
                    <li><a href="#" data-group="<?php echo esc_attr('category-'.$term->slug);?>">
                            <?php echo esc_html($term->name);?>
                        </a>
                    </li>
                <?php endforeach;?>
            </ul>
        </div>
    <?php endif;?>
    <div class="cms-grid <?php echo esc_attr($atts['grid_class']);?>">
        <?php
        $posts = $atts['posts'];

        while($posts->have_posts()){
            $posts->the_post();
            $groups = array();
            $groups[] = '"all"';
            foreach(cmsGetCategoriesByPostID(get_the_ID(),$taxo) as $category){
                $groups[] = '"category-'.$category->slug.'"';
            }
            ?>
            <div class="cms-grid-item <?php echo esc_attr($atts['item_class']);?>" data-groups='[<?php echo implode(',', $groups);?>]'>
                <div class="cms-grid-3columns">
                    <div class="product-inner clearfix">
                        <div class="product-top">
                            <?php
                            do_action( 'woocommerce_before_shop_loop_item_title' );?>
                            <div class="bottom-product">
                                <div class="bottom-product-inner">
                                    <?php
                                    do_action( 'woocommerce_after_shop_loop_item' );

                                    ?>

                                </div>

                            </div>
                        </div>
                        <div class="product-content">
                            <h3 class="cms-grid-product-title">
                                <a href="<?php the_permalink(); ?>"><?php the_title();?></a>
                            </h3>
                            <?php
                            do_action( 'woocommerce_after_shop_loop_item_title' );
                            ?>

                        </div>
                    </div>

                </div>
            </div>
            <?php
        }
        ?>
    </div>
    <?php laboom_paging_nav();?>

</div>