<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>
<div class="product_meta">
	<div class="sg-product-share">
		<label><?php echo esc_html__('Share','laboom');?></label>
		<div class="item-share">

			<a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();?>"><i class="fa fa-facebook"></i></a>
			<a target="_blank" href="https://twitter.com/home?status=<?php esc_html_e('Check out this article', 'laboom');?>:%20<?php the_title();?>%20-%20<?php the_permalink();?>"><i class="fa fa-twitter"></i></a>
			<a target="_blank" href="https://plus.google.com/share?url=<?php the_permalink();?>"><i class="fa fa-google-plus"></i></a>
			<a target="_blank" href="https://pinterest.com/pin/create/button/??u=<?php the_permalink();?>"><i class="fa fa-pinterest"></i></a>
		</div>

	</div>
	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper"><?php esc_html_e( 'SKU:', 'laboom' ); ?> <span class="sku"><?php if ( $sku = $product->get_sku() ) echo laboom_html($sku);else echo   esc_html__( 'N/A', 'laboom' ); ?></span></span>

	<?php endif; ?>

	<?php echo wc_get_product_category_list( $product->get_id(), ' ', '<span class="posted_in">' . _n( '<label>Category</label>', '<label>Categories</label>', count( $product->get_category_ids() ), 'laboom' ) . ' ', '</span>' ); ?>

	<?php echo wc_get_product_tag_list( $product->get_id(), ' ', '<span class="tagged_as">' . _n( '<label>Tag</label>', '<label>Tags</label>', count( $product->get_tag_ids() ), 'laboom' ) . ' ', '</span>' ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
